- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxProcessorShaderDependency::StringHash Class Reference

Search for all occurrences

## Detailed Description

Definition at line 67 of file fbxprocessorshaderdependency.h.

`#include <fbxprocessorshaderdependency.h>`

List of all members.

## Public Member Functions
unsigned int | operator() (const FbxString &pValue) const

## Member Function Documentation

unsigned int operator() | ( | const FbxString & | pValue | ) | const `[inline]`

Definition at line 70 of file fbxprocessorshaderdependency.h.

                {
                    // from wikipedia.org
                    // Jenkins One-at-a-time hash

                    size_t lLen = pValue.GetLen();
                    unsigned int lHashValue = 0;
                    const char* lData = pValue.Buffer();
                    for( size_t i = 0; i < lLen; ++i )
                    {
                        lHashValue += lData[i];
                        lHashValue += (lHashValue << 10);
                        lHashValue ^= (lHashValue >> 16);
                    }
                    lHashValue += (lHashValue << 3);
                    lHashValue ^= (lHashValue >> 11);
                    lHashValue += (lHashValue << 15);

                    return lHashValue;
                }

The documentation for this class was generated from the following file:

- fbxsdk/utils/fbxprocessorshaderdependency.h

FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash
FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash FbxProcessorShaderDependency::StringHash